VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Attributes
VisimBoxDemos.EarthAttack.EarthAttack Class Reference
Inheritance diagram for VisimBoxDemos.EarthAttack.EarthAttack:

List of all members.

## Public Member Functions
| EarthAttack ()
| EarthAttack (Node owner)
override bool | TimeTick (double time)
| Do a time tick.
virtual int | AddContact (List< PhysicalContact > List, int index)
| Physical Scene callback - node should check for any collisions and save them at physical contact at index and beyond Note: node should NOT increase the contact list size (HW limit)
## Public Attributes
VisimBox.Physics.PhysicalScene | PhysScene
## Protected Attributes
List< PhysSphere > | EarthList
PhysSphere | Asteroid
float[,] | Distances
Vector3[,] | Directions

## Constructor & Destructor Documentation

VisimBoxDemos.EarthAttack.EarthAttack.EarthAttack | ( |  | ) |

VisimBoxDemos.EarthAttack.EarthAttack.EarthAttack | ( | Node | owner | ) |

## Member Function Documentation

virtual int VisimBoxDemos.EarthAttack.EarthAttack.AddContact | ( | List< PhysicalContact > | List,
|  | int | index
| ) |  | `[virtual]`

Physical Scene callback - node should check for any collisions and save them at physical contact at index and beyond Note: node should NOT increase the contact list size (HW limit)

Parameters:

  List | List to save contact into
  index | Starting index

Returns:
  Number of added contacts

Implements VisimBox.Physics.IContactGenerator.

override bool VisimBoxDemos.EarthAttack.EarthAttack.TimeTick | ( | double | time | ) | `[virtual]`

Do a time tick.

Parameters:

  time | Elapsed time in seconds

Returns:
  , returns true if this node was changed somehow

Reimplemented from VisimBox.Scene.Node.

## Member Data Documentation

PhysSphere VisimBoxDemos.EarthAttack.EarthAttack.Asteroid`[protected]`

Vector3 [,] VisimBoxDemos.EarthAttack.EarthAttack.Directions`[protected]`

float [,] VisimBoxDemos.EarthAttack.EarthAttack.Distances`[protected]`

List<PhysSphere> VisimBoxDemos.EarthAttack.EarthAttack.EarthList`[protected]`

VisimBox.Physics.PhysicalScene VisimBoxDemos.EarthAttack.EarthAttack.PhysScene

The documentation for this class was generated from the following file:

- EarthAttack.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events